Bug 22623 - wring path with updates stunnel-3.9-1
Summary: wring path with updates stunnel-3.9-1
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: stunnel (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-20 22:28 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-20 23:05:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2000:137 normal SHIPPED_LIVE : Updated stunnel packages available for Red Hat Linux 7 2000-12-20 05:00:00 UTC

Description Need Real Name 2000-12-20 22:28:11 UTC
The bug I posted at
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=18998
is probably related to stunnel.
But bugzilla seems does not have stunnel in RedHat menu.

There is a problem with stunnel-3.9.1 from RedHat updates.
It has wrong paths compiled in and does not work properly because of this

/usr/sbin/stunnel -d 465 -r remote_host_ip:25
      It prints in /var/log/messages
      Dec 20 14:38:16 localhost stunnel[20230]: stunnel 3.9 on
i386-redhat-linux-gnu
      PTHREAD+LIBWRAP
      Dec 20 14:38:16 localhost stunnel[20231]: Cannot create pid file
      /var/stunnel/stunnel.209.10.98.90.25.pid
      Dec 20 14:38:16 localhost stunnel[20231]: Create: No such file or
directory (2)

      See, there is a string /var/stunnel in /usr/sbin/stunnel 
      which is used in path.
      rpm -q stunnel
      stunnel-3.9-1
      [root@localhost /root]# strings /usr/sbin/stunnel |grep /var/stunn
      /var/stunnel/

The wrong string "/var/stunnel/" is compiled in.

Comment 1 Nalin Dahyabhai 2000-12-20 23:05:43 UTC
It also doesn't clean up the PID file when killed with a SIGHUP.  Both problems
will be fixed in stunnel-3.9-2.  Until it is released, use the "-P /var/run/"
option to work around this.

Comment 2 Nalin Dahyabhai 2000-12-21 21:31:13 UTC
The errata package will be 3.10-2.

Comment 3 Need Real Name 2000-12-21 22:31:49 UTC
The stunnel 3.11 was released today.
Seems they are hot-fixing some bugs.

Comment 4 Nalin Dahyabhai 2000-12-22 16:54:38 UTC
Aaaarrgh!


Note You need to log in before you can comment on or make changes to this bug.